Subject: Re: linux-next: build failure after merge of the net tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 17 Sep 2014 12:18:08 +1000

Hi Dave,

On Tue, 16 Sep 2014 21:48:59 -0400 (EDT) David Miller <[email-masked]> wrote:
>
> From: Stephen Rothwell <[email-masked]>
> Date: Wed, 17 Sep 2014 11:04:54 +1000
> 
> > This is a bit different to yesterday's failure but I assume it is still
> > related to commit 5d6be6a5d486 ("scsi_netlink : Make SCSI_NETLINK
> > dependent on NET instead of selecting NET").
> > 
> > I used the net tree from next-20140915 again today.
> 
> Should be fixed by:
> 
> commit 6a38792ca8a5da28f65dc42eeb73d9a431f8d0fd
> Author: Randy Dunlap <[email-masked]>
> Date:   Tue Sep 16 13:47:41 2014 -0700
> 
>     scsi: use 'depends' instead of 'select' for SCSI_FC_ATTRS
>     
>     There are other kconfig symbols which use SCSI_FC_ATTRS.
>     In order to maintain sanity and prevent kconfig warnings, change
>     all of these from using 'select' to using 'depends on' so that
>     proper symbol dependencies will be honored and circular depends
>     problems will be avoided.
>     This fixes kconfig warnings and build errors:

OK, thanks.  That was not in the net tree I fetched this morning, so
should be good tomorrow.

-- 
Cheers,
Stephen Rothwell                    [email-masked]